This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 220546 - Programs formerly setting LD_ASSUME_KERNEL=2.4.19 now crash
Programs formerly setting LD_ASSUME_KERNEL=2.4.19 now crash
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 20:04 EST by Bevan Bennett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 02:33:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log of crash when LD_ASSUME_KERNEL is unset. (8.77 KB, text/plain)
2006-12-21 20:04 EST, Bevan Bennett
no flags Details

  None (edit)
Description Bevan Bennett 2006-12-21 20:04:01 EST
Description of problem:
We have several apps that used LD_ASSUME_KERNEL=2.4.19 to function. None of them
work under FC6 with LD_ASSUME_KERNEL set, and several fail even if it is un-set
(as several sites on the web suggest)

/usr/local/cadence/install/SOC-61-Linux/tools/fe/bin/32bit/encounter: error
while loading shared libraries: libpthread.so.0: cannot open shared object file:
No such file or directory

Version-Release number of selected component (if applicable):
[bevan@ramses ~]$ ls -al /lib/libpthread.so.0
lrwxrwxrwx 1 root root 17 Dec 15 15:26 /lib/libpthread.so.0 -> libpthread-2.5.so
[bevan@ramses ~]$ rpm -qf /lib/libpthread.so.0
glibc-2.5-3


How reproducible:
Reliably

Steps to Reproduce:
1. Find a program that has a wrapper which sets LD_ASSUME_KERNEL=2.4.19, try to
execute it.
  
Actual results:
With LD_ASSUME_KERNEL set (works on FC4/glibc-2.3.6-3):
/usr/local/cadence/install/SOC-61-Linux/tools/fe/bin/32bit/encounter: error
while loading shared libraries: libpthread.so.0: cannot open shared object file:
No such file or directory

Without LD_ASSUME_KERNEL set (same result on FC4):
*** glibc detected ***
/usr/local/cadence/install/SOC-61-Linux/tools/fe/bin/32bit/encounter: malloc():
memory corruption (fast): 0x12282f80 ***


Expected results:
Program does not crash.

Additional info:
Comment 1 Bevan Bennett 2006-12-21 20:04:01 EST
Created attachment 144238 [details]
Log of crash when LD_ASSUME_KERNEL is unset.
Comment 2 Jakub Jelinek 2006-12-22 02:33:32 EST
Please read Fedora Core 5 release notes (the same applies to FC6).
LinuxThreads have been deprecated for many years, third party vendors had enough
time to catch up (all that's needed is make the programs comply to POSIX
rather than relying on LinuxThreads implementation details).
LinuxThreads libs (even when rebuilt from latest linuxthreads CVS) are
incompatible with things like -fstack-protector that every single FC5/FC6 shared
library uses.
malloc () memory corruption is an application bug, you should file it against
the application you are seeing it in instead of here.

Note You need to log in before you can comment on or make changes to this bug.